-- MySQL dump 8.21
--
-- Host: localhost    Database: eldoDB
---------------------------------------------------------
-- Server version	3.23.49

--
-- Table structure for table 'playlistItems'
--

DROP TABLE IF EXISTS playlistItems;
CREATE TABLE playlistItems (
  airDate int(10) default NULL,
  pos int(10) NOT NULL default '0',
  songID int(10) default NULL
) TYPE=MyISAM;

--
-- Table structure for table 'playlists'
--

DROP TABLE IF EXISTS playlists;
CREATE TABLE playlists (
  airDate int(10) NOT NULL default '0',
  showName varchar(255) default NULL,
  author varchar(255) default NULL,
  template int(10) default NULL,
  PRIMARY KEY  (airDate)
) TYPE=MyISAM;

--
-- Table structure for table 'rotations'
--

DROP TABLE IF EXISTS rotations;
CREATE TABLE rotations (
  idx int(10) NOT NULL auto_increment,
  name varchar(255) default NULL,
  description text,
  PRIMARY KEY  (idx)
) TYPE=MyISAM;

--
-- Table structure for table 'songData'
--

DROP TABLE IF EXISTS songData;
CREATE TABLE songData (
  songID int(10) NOT NULL default '0',
  attribute varchar(20) NOT NULL default '',
  value varchar(255) default NULL,
  PRIMARY KEY  (songID,attribute)
) TYPE=MyISAM;

--
-- Table structure for table 'songs'
--

DROP TABLE IF EXISTS songs;
CREATE TABLE songs (
  idx int(10) NOT NULL auto_increment,
  medium varchar(20) default NULL,
  artist varchar(64) NOT NULL default '',
  title varchar(64) NOT NULL default '',
  cd int(2) default NULL,
  track int(2) default NULL,
  rotation int(10) default NULL,
  filename varchar(255) default NULL,
  comment text,
  created datetime default NULL,
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (idx)
) TYPE=ISAM PACK_KEYS=1;

--
-- Table structure for table 'templateItems'
--

DROP TABLE IF EXISTS templateItems;
CREATE TABLE templateItems (
  template int(10) NOT NULL default '0',
  rotation int(10) NOT NULL default '0',
  count int(10) NOT NULL default '0',
  positions varchar(255) default NULL
) TYPE=MyISAM;

--
-- Table structure for table 'templates'
--

DROP TABLE IF EXISTS templates;
CREATE TABLE templates (
  idx int(10) NOT NULL auto_increment,
  name varchar(255) default NULL,
  PRIMARY KEY  (idx)
) TYPE=MyISAM;

